#!/bin/bash

PACKAGES="\
build-essential \
gfortran \
python-dev \
python-setuptools \
libblas-dev \
liblapack-dev \
libqhull-dev \
qhull-bin \
"

echo "we'll ask for your password to install a few things:"
echo "like theses packages: $PACKAGES"

sudo aptitude install -y $PACKAGES

sudo easy_install pip
sudo pip install mercurial

sudo pip install virtualenv
sudo pip install virtualenvwrapper

mkdir ~/.virtualenvs
echo 'source $(which virtualenvwrapper.sh)' >> .bashrc
source $(which virtualenvwrapper.sh)

mkvirtualenv --no-site-packages research
workon research

pip install numpy
pip install scipy

mkdir ~/src
cd ~/src && hg clone https://mcquay.me/hg/research
cd ~/src/research && python setup.py develop
cd ~/src/research && python test/all.py
